/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package oued.persistance.classconcepts;


/**
  * Reprsente une association  
 * @author OUEDRAOGO Moussa
 * @since 25-01-2007
 *
 */
public class Association {
	/**
	 * Constantes qui reprsentent les diffrentes types
	 * d'association
	 */
	public static String SIMPLE_ASSOCIATION="ASSOCIATION SIMPLE";
	public static String CLASSE_ASSOCIATION="CLASSE ASSOCIATION";
	public static String AGREGATION="AGREGATION";
	public static String HERITAGE="HERITAGE";
	public static String COMPOSITION="COMPOSITION";
	
	/**
	 * Le id de l'association	 
	 */
	private String id;	
	
	/**
	 * Le nom de l'association
	 */
	private String name;
	/**
	 * Le cot dbut de l'association li a une classe et ayant une multiplicite	 
	 */ 
	private Link start;
	
	/**
	 * Le cot fin de l'association li a une classe et ayant une multiplicite	 
	 */ 
	private Link end;
	
	/**
	 * Le type de lien de l'association
	 * Association simple, hritage, agrgation ou une classe association
	 */
	String linkType;
	
	/**
	 * La classe correspondant  la classe-association si l'association en a
	 */
	private Classe classLinked;
	
	
	/**
	 * 
	 */
	private String idAssocRef;
	
	/**
	 * Cette mthode retourne le cot dbut de l'association lie  une classe et ayant une multiplicite
	 * @return le cot dbut de l'association li  une classe et ayant une multiplicite
	 */
	public Link getStart() {
		return start;
	}
	
	/**
	 * Cette mthode modifie le cot dbut de l'association lie  une classe et ayant une multiplicite
	 * @param start le nouveau lien de dbut
	 */
	public void setStart(Link start) {
		this.start = start;
	}
	
	/**
	 * Cette mthode retourne le cot fin de l'association lie  une classe et ayant une multiplicite
	 * @return le cot dbut de l'association li  une classe et ayant une multiplicite
	 */
	public Link getEnd() {
		return end;
	}
	
	/**
	 * Cette mthode modifie le cot fin de l'association lie  une classe et ayant une multiplicite
	 * @param end le nouveau lien de dbut
	 */
	public void setEnd(Link end) {
		this.end = end;
	}
	
	/**
	 * Cette mthode retourne le id de l'association
	 * @return le id de l'association
	 */
	public String getId() {
		return id;
	}
	
	/**
	 * Cette mthode modifie le id de l'association
	 * @param id le nouvel id de l'association
	 */
	public void setId(String id) {
		this.id = id;
	}
	
	/**
	 * Cette mthode retourne la classe-association de cette association 
	 * @return la classe-association de cette association 
	 */
	public Classe getClassLinked() {
		return classLinked;
	}
	
	/**
	 * Cette mthode modifie la classe correspondant  la classe-association si l'association en a
	 * @param classLinked la classe correspondant  la classe-association si l'association en a
	 */
	public void setClassLinked(Classe classLinked) {
		this.classLinked = classLinked;
	}
	
	/**
	 * Cette mthode retourne le type de lien de cette association
	 * @return le type de lien de cette association
	 */
	public String getLinkType() {
		return linkType;
	}
	
	/**
	 * Cette mthode modifie le type de lien de cette association
	 * @param linkType le nouvel type de lien
	 */
	public void setLinkType(String linkType) {
		this.linkType = linkType;
	}
	
	
	public String getIdAssocRef() {
		return idAssocRef;
	}
	
	/**
	 * 
	 * @param idAssocRef
	 */
	public void setIdAssocRef(String idAssocRef) {
		this.idAssocRef = idAssocRef;
	}

	/**
	 * retourne le nom de l'association
	 * @return le nom de l'association
	 */
	public String getName() {
		return name;
	}

	/**
	 * modifie le nom de l'association
	 * @param nom le nouveau nom de l'association
	 */
	public void setName(String nom) {
		this.name = nom;
	}
	
	
}
