/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package oued.persistance.classconcepts;

/**
 * La classe Lien reprsente un Lien d'une association
 * @author OUEDRAOGO Moussa
 * @since 25-01-2007
 *
 */
public class Link {
	/**
	 * Le id de la classe lie  ce Lien
	 */
	private String classId;
	
	/**
	 * la multiplicite du lien
	 */
	private Multiplicity multiplicity;
	
	/**
	 * Le nom de rle li  ce lien
	 */
	private String role;
	
	/**
	 * Cette mthode retourne la Mulitiplicit de ce lien
	 * @return la Mulitiplicit de ce lien
	 */
	public Multiplicity getMultiplicity() {
		return multiplicity;
	}
	/**
	 * Cette mthode modifie la {@link Multiplicity} du lien
	 * @param multiplicity la nouvelle multiplicit
	 */
	public void setMultiplicity(Multiplicity multiplicity) {
		this.multiplicity = multiplicity;
	}
	
	/**
	 *Cette mthode retourne le id de la classe li  ce lien
	 * @return le id de la classe li  ce lien
	 */
	public String getClassId() {
		return classId;
	}
	
	/**
	 *Cette mthode modifie le id de la classe li  ce lien
	 *@param classId le nom id de la classe
	 */
	public void setClassId(String classId) {
		this.classId = classId;
	}
	
	/**
	 *Cette mthode retourne le nom de rle de ce lien
	 * @return le nom de rle de ce lien
	 */
	public String getRole() {
		return role;
	}
	
	/**
	 * Cette mthode modifie le nom de rle de ce lien
	 * @param role le nouveau nom de rle
	 */
	public void setRole(String role) {
		this.role = role;
	}
	
	
	
	
	
	
	
}
