/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package oued.persistance.classconcepts;

/**
  * La classe Multiplicite reprsente la multiplicit d'un Lien
 * Exemple de cardinalit :<br>
 * @author OUEDRAOGO Moussa
 * @since 25-01-2007
 *
 */
public class Multiplicity {
	/**
	 * La cardinalit minimale
	 */
	private String cardMin;
	
	/**
	 * La cardinalit maximale
	 */
	private String cardMax;

	/**
	 * Cette mthode retourne la cardinalit maximale
	 * @return la cardinalit maximale
	 */
	public String getCardMax() {
		return cardMax;
	}

	/**
	 * Cette mthode modifie la cardinalit maximale
	 * @param cardMax la nouvelle cardinalit maximale
	 */
	public void setCardMax(String cardMax) {
		this.cardMax = cardMax;
	}

	/**
	 * Cette mthode retourne la cardinalit minimale
	 * @return la nouvelle cardinalit minimale
	 */
	public String getCardMin() {
		return cardMin;
	}

	/**
	 * Cette mthode modifie la cardinalit minimale
	 * @param cardMin la nouvelle cardinalit minimale
	 */
	public void setCardMin(String cardMin) {
		this.cardMin = cardMin;
	}
	
	
	/**
	 * Cette methode retourne vrai si les cardinalits reprsentent une multiplicit un  un
	 * et faux dans le cas contraire
	 * @return vrai si les cardinalits  reprsentent une multiplicit un  un
	 * et faux dans le cas contraire
	 */
	public boolean isOne_One(){		
		if ((this.getCardMax().compareTo("1")==0)
			&& (this.getCardMin().compareTo("1")==0)
			)
			return true;
		
		if ((this.getCardMax().compareTo("0")==0)
				&& (this.getCardMin().compareTo("1")==0)
				)
				return true;
		
		
			return false;
	}
	
	/**
	 * Cette methode retourne vrai si les cardinalits reprsentent une multiplicit plusieurs  plusieurs
	 * et faux dans le cas contraire
	 * @return vrai si les cardinalits reprsentent une multiplicit plusieurs  plusieurs
	 * et faux dans le cas contraire
	 */
	public boolean isManyToMany(){
		return !isOne_One();
	}
}
