/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package oued.persistance.classconcepts;

/**
* La classe {@link SimpleProperty} reprsente les proprits  de type simple d'une classe.
 * Nous avons comme type simple : String, Date, int, double, float.
 * @author OUEDRAOGO Moussa
 * @since 25-01-2007
 *
 */
public class SimpleProperty {
	/**
	 * Le id de la prorpit
	 */
	private String id;
	
	/**
	 * Correspondant au nom de la proprit
	 */
	private String name;
	
	/**
	 * Correspondant a l'identifiant du type que peut avoir l'attribur (int, String, etc)
	 */	
	private String idType;
	
	//Reprsente la visibilite de l'attribut (public, protected, private, etc )
	private String visibilty;

	public String getId() {
		return id;
	}

	/**
	 * Cette mthode permet de modifier le id de la proprit
	 * @param id le nouvel id de la proprit
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Cette mthode retourne le nom de la proprit
	 * @return le nom de la proprit
	 */
	public String getName() {
		return name;
	}

	/**
	 * Cette mthode modifie le nom de la proprit
	 * @param name  le nouvel id du type de la proprit
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Cette mthode retourne le id du type de  la proprit
	 * @return le id du type de  la proprit
	 */
	public String getIdType() {
		return idType;
	}

	/**
	 * Cette mthode modifie le id du type de la proprit
	 * @param type le nouvel id du type de la proprit
	 */
	public void setIdType(String type) {
		this.idType = type;
	}

	/**
	 * Cette mthode retourne la visibilit de la proprit
	 * @return la visibilit de la proprit
	 */
	public String getVisibility() {
		return visibilty;
	}

	/**
	 * Cette mthode modifie la visibilit de la proprit
	 * @param visibility la nouvelle visibilit
	 */
	public void setVisibility(String visibility) {
		this.visibilty = visibility;
	}
	
	
}
