/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package oued.persistance.configuration;

/**
 * Cette classe est un Factory pour la cration du {@link Context} appropri.
* @author ouedmouss
 * @author OUEDRAOGO Moussa
 * @since 05-05-2007
 *
 */
public class ContextFactory {
	
	/**
	 * retourne l'objet Context appropri correspondant au nom de  contexte pass en paramtre
	 * @param contextName le nom de l'objet context  retourner
	 * @return l'objet Context appropri correspondant au nom de  contexte pass en paramtre
	 */
	public static Context getContext(String contextName){
		if (contextName.compareTo(PersistanceZeroConfigurator.COMPONENT_CONTEXT)==0)
			return new Context(PersistanceZeroConfigurator.COMPONENT_CONTEXT);
		else if (contextName.compareTo(PersistanceZeroConfigurator.VERSION)==0)
			return new Context(PersistanceZeroConfigurator.VERSION);
		else if (contextName.compareTo(PersistanceZeroConfigurator.ID)==0)
			return new Context(PersistanceZeroConfigurator.ID);
		else if (contextName.compareTo(PersistanceZeroConfigurator.CLASS)==0)
			return new Context(PersistanceZeroConfigurator.CLASS);
		else if (contextName.compareTo(PersistanceZeroConfigurator.PROPERTY)==0)
			return new Context(PersistanceZeroConfigurator.PROPERTY);
		else if (contextName.compareTo(PersistanceZeroConfigurator.PROPERTIES)==0)
			return new Context(PersistanceZeroConfigurator.PROPERTIES);
		else if (contextName.compareTo(PersistanceZeroConfigurator.COLLECTION)==0)
			return new Context(PersistanceZeroConfigurator.COLLECTION);
		else if (contextName.compareTo(PersistanceZeroConfigurator.HIBERNATE_MAPPING_CONTEXT)==0)
			return new Context(PersistanceZeroConfigurator.HIBERNATE_MAPPING_CONTEXT);
		else if (contextName.compareTo(PersistanceZeroConfigurator.NATURAL_ID)==0)
			return new Context(PersistanceZeroConfigurator.NATURAL_ID);
		else if (contextName.compareTo(PersistanceZeroConfigurator.MANY_TO_ONE)==0)
			return new Context(PersistanceZeroConfigurator.MANY_TO_ONE);
		else if (contextName.compareTo(PersistanceZeroConfigurator.KEY_ELEMENT)==0)
			return new Context(PersistanceZeroConfigurator.KEY_ELEMENT);
		else
			return null;
	}
}
