/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package oued.persistance.infosmodelgenerator;

/**
 * Cette classe est un Factory pour les objets de type IInfosGenerator. Elle retourne
 * la bonne classe correspondant au numro de la version. 
 * @author OUEDRAOGO Moussa
 * @since 14-03-2007
 *
 */
public class InfosGeneratorFactory {
	public static String XMI_2_1="2.1";
	 public static IInfosGenerator getGenerator(String xmiVersion){
	 if (xmiVersion==null) return null;
	 if (xmiVersion.compareTo(XMI_2_1)==0)
			 return new InfosGeneratorXMI2_1();
	 return null;
	 }
}
