/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package oued.persistance.infosmodelgenerator.transformer;

import java.util.HashSet;
import oued.persistance.classconcepts.Association;
import oued.persistance.classconcepts.Classe;
import oued.persistance.classconcepts.InfosModel;

/**
 * @author OUEDRAOGO Moussa
 * @since 08-05-2007
 *
 */
public class InheritanceTransformer implements ITransformer {

	public void transform(InfosModel infosModel,Association association) {
		//Recuperer la classe mere
		Classe classeMere=(Classe)infosModel.getClasses().get(association.getStart().getClassId());
		//Ajouter l'association a la classe mere. Ce n'etait pas pas
		if (classeMere.getAssociations()==null) classeMere.setAssociations(new HashSet<Association>());
		classeMere.getAssociations().add(association);
		//Faire pointer l'association sur la classe mere
	}
}
