/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package oued.persistance.mappingxml;

import org.w3c.dom.Element;

/**
 * Cette classe permet d'associer le nom d'un attribut  un Element cr pour lui 
 * @author OUEDRAOGO Moussa
 * @since 07-04-2007
 *
 */
public class AttributKeeper {
	/**
	 * L'Element de l'attribut
	 */
	Element element;
	/**
	 * Le type de l'attribut
	 */
	String type;
	/**
	 * le nom de l'attribut
	 */
	String nomAttribut;
	
	public AttributKeeper(){
		
	}
	
	/**
	 * Le constructeur personnalis
	 * @param element L'Element de l'attribut
	 * @param type Le type de l'attribut
	 * @param nomAttribut le nom de l'attribut
	 */
	public AttributKeeper(Element element, String type, String nomAttribut) {
		super();
		this.element = element;
		this.type = type;
		this.nomAttribut = nomAttribut;
	}


	/**
	 * retourne  L'Element de l'attribut
	 * @return Le nouvel Element de l'attribut
	 */
	public Element getElement() {
		return element;
	}
	
	/**
	 * modifie  L'Element de l'attribut
	 * @param element Le nouvel Element de l'attribut
	 */
	public void setElement(Element element) {
		this.element = element;
	}
	
	/**
	 * retourne  Le type de l'attribut
	 * @return Le nouvel Element de l'attribut
	 */
	public String getType() {
		return type;
	}
	
	/**
	 * modifie  le type de l'attribut
	 * @param  type Le nouvel Element de l'attribut
	 */
	public void setType(String type) {
		this.type = type;
	}
	
	/**
	 * retourne  Le nom de l'attribut
	 * @return Le nouvel Element de l'attribut
	 */
	public String getNomAttribut() {
		return nomAttribut;
	}
	
	/**
	 * modifie  le nom de l'attribut
	 * @param nomAttribut Le nouvel Element de l'attribut
	 */
	public void setNomAttribut(String nomAttribut) {
		this.nomAttribut = nomAttribut;
	}
	
	
	
}
