/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package oued.persistance.mappingxml;

import java.util.List;

import oued.persistance.classconcepts.Classe;
import oued.persistance.classconcepts.Link;
import oued.persistance.utils.UtilityClassFunction;

/**
 * Cette classe per la gnration du fichier de configuration hibernate
 * @author OUEDRAOGO Moussa
 * @since 02-05-2007
 *
 */
public class NameResolver {
	private String name;
	private String diff;
	private List<String> tempNames;
	
	public NameResolver(List<String> tempNames) {
		this.tempNames=tempNames;
	}
	
	public String getDiff() {
		return diff;
	}
	public void setDiff(String diff) {
		this.diff = diff;
	}
	
	public String retrieveName(Link lienAutreClasse,Link lienClasseCourante,Classe autreClasse){
		String name="";
		if (lienAutreClasse.getRole()!=null & lienAutreClasse.getRole().trim().compareTo("")!=0){
			name=lienAutreClasse.getRole();
		}
		else
			name=autreClasse.getNom();
		
		
		if (lienAutreClasse.getMultiplicity().isOne_One()){
			name=UtilityClassFunction.firstLetterLowerCase(name);
		}else if (lienAutreClasse.getMultiplicity().isManyToMany()){
			if (lienClasseCourante.getMultiplicity().isManyToMany()){
				name="liste"+UtilityClassFunction.firstLetterUpperCase(name);
			}else
				name="liste"+UtilityClassFunction.firstLetterUpperCase(name);
		}
				
		String incr="";
		while (tempNames.contains(name)){
			incr="1"+incr;
			name=name+incr;
		}
		
		this.name=name;
		this.diff=incr;
		return this.name;
		
	}
	
	public String getName(){
		return name;
	}
	
	




	
	
}
