/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package oued.persistance.utils;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * Cette classe permet de copier le contenu d'un fichier dans un autre.
 * Il permet de le dupliquer
 * * 
 *@author OUEDRAOGO Moussa
 * @since 04-03-2007
 *
 */
public class FileCopier {
	/**
	 * Cette mthode permet de copier le contenu du fichier src vers le fichier des
	 * @param src le fichier source
	 * @param dest le fichier destination
	 * @throws IOException exception lance lorsqu'une erreur survient lors de la copie
	 */
	public void copyFile(File src,File dest) throws FileNotFoundException,IOException{
		if (!src.exists()) throw new FileNotFoundException("File not found '" + src.getAbsolutePath() + "'");

			BufferedOutputStream out = new BufferedOutputStream(
		         new FileOutputStream(dest));
		      BufferedInputStream in = new BufferedInputStream(
		         new FileInputStream(src));
		         
		      byte[] read = new byte[128];
		      int len = 128;
		      while ((len = in.read(read)) > 0)
		         out.write(read, 0, len);
		      
		      out.flush();
		      out.close();
		      in.close();
		
	}
	
	/**
	 * Cette mthode permet de copier le InputStrean dans le fichier dest
	 * @param in le inputStream  copier
	 * @param dest le fichier destination
	 */
	public void copyFile(InputStream in,File dest) throws FileNotFoundException, IOException{

			BufferedOutputStream out;		
				out = new BufferedOutputStream(
				     new FileOutputStream(dest));			
		         
		      byte[] read = new byte[128];
		      int len = 128;
		      while ((len = in.read(read)) > 0)
		         out.write(read, 0, len);
		      
		      out.flush();
		      out.close();
		      in.close();
		      		
		
	}
}
