/*
 * Copyright 2007  OUEDRAOGO Moussa.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package oued.persistance.utils;

import java.io.InputStream;
/**
 * Classe pour la gestion du chargement des fichiers  contenues dans un jar
 * <br>jar
 * @author OUEDRAOGO Moussa
 * @since 04-03-2007
 *
 */
public class ULoader {
	
	/**
	 * retourne un InputStream correspondant  un fichier dans un jar 
	 *<br> exemple d'utilisation
	 *<br> ULoader.getFileInJar("odel/findreplace/ihm/ressources/book03.gif");
	 * @param chemin emplacement relatif du fichier dans le jar
	 * @return un InputStream correspondant  un fichier dans un jar
	 */
	public static InputStream getFileInJar(String chemin){
		//Charger l'url correpondant au chemin
		return Class.class.getResourceAsStream("/"+chemin);
	}
}
